osg::VertexArrayState::ArrayDispatch Struct Referenceabstract

`#include <VertexArrayState>`

Inheritance diagram for osg::VertexArrayState::ArrayDispatch:

## Public Member Functions

| ArrayDispatch ()
virtual bool | isVertexAttribDispatch () const
virtual const char * | className () const =0
virtual void | enable_and_dispatch (osg::State &, const osg::Array *)
virtual void | enable_and_dispatch (osg::State &, const osg::Array *, const osg::GLBufferObject *)
virtual void | enable_and_dispatch (osg::State &, GLint, GLenum, GLsizei, const GLvoid *, GLboolean)
virtual void | dispatch (osg::State &, const osg::Array *)
virtual void | dispatch (osg::State &, const osg::Array *, const osg::GLBufferObject *)
virtual void | dispatch (osg::State &, GLint, GLenum, GLsizei, const GLvoid *, GLboolean)
virtual void | disable (osg::State &)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

const osg::Array * | array
unsigned int | modifiedCount
bool | active

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## ArrayDispatch()

osg::VertexArrayState::ArrayDispatch::ArrayDispatch | ( |  | ) |

inline

References active, array, and modifiedCount.

## Member Function Documentation

## className()

virtual const char * osg::VertexArrayState::ArrayDispatch::className | ( |  | ) | const

pure virtual

## disable()

virtual void osg::VertexArrayState::ArrayDispatch::disable | ( | osg::State & |  | ) |

inline virtual

Referenced by osg::VertexArrayState::applyDisablingOfVertexAttributes(), and osg::VertexArrayState::disable().

## dispatch() [1/3]

virtual void osg::VertexArrayState::ArrayDispatch::dispatch | ( | osg::State & | ,
|  | const osg::Array * | )

inline virtual

## dispatch() [2/3]

virtual void osg::VertexArrayState::ArrayDispatch::dispatch | ( | osg::State & | ,
|  | const osg::Array * | ,
|  | const osg::GLBufferObject * | )

inline virtual

## dispatch() [3/3]

virtual void osg::VertexArrayState::ArrayDispatch::dispatch | ( | osg::State & | ,
|  | GLint | ,
|  | GLenum | ,
|  | GLsizei | ,
|  | const GLvoid * | ,
|  | GLboolean | )

inline virtual

## enable_and_dispatch() [1/3]

virtual void osg::VertexArrayState::ArrayDispatch::enable_and_dispatch | ( | osg::State & | ,
|  | const osg::Array * | )

inline virtual

## enable_and_dispatch() [2/3]

virtual void osg::VertexArrayState::ArrayDispatch::enable_and_dispatch | ( | osg::State & | ,
|  | const osg::Array * | ,
|  | const osg::GLBufferObject * | )

inline virtual

## enable_and_dispatch() [3/3]

virtual void osg::VertexArrayState::ArrayDispatch::enable_and_dispatch | ( | osg::State & | ,
|  | GLint | ,
|  | GLenum | ,
|  | GLsizei | ,
|  | const GLvoid * | ,
|  | GLboolean | )

inline virtual

## isVertexAttribDispatch()

virtual bool osg::VertexArrayState::ArrayDispatch::isVertexAttribDispatch | ( |  | ) | const

inline virtual

## Member Data Documentation

## active

bool osg::VertexArrayState::ArrayDispatch::active

Referenced by osg::VertexArrayState::applyDisablingOfVertexAttributes(), ArrayDispatch(), osg::VertexArrayState::disable(), and osg::VertexArrayState::lazyDisablingOfVertexAttributes().

## array

const osg::Array* osg::VertexArrayState::ArrayDispatch::array

Referenced by osg::VertexArrayState::applyDisablingOfVertexAttributes(), ArrayDispatch(), and osg::VertexArrayState::disable().

## modifiedCount

unsigned int osg::VertexArrayState::ArrayDispatch::modifiedCount

Referenced by osg::VertexArrayState::applyDisablingOfVertexAttributes(), ArrayDispatch(), and osg::VertexArrayState::disable().

The documentation for this struct was generated from the following file:

- VertexArrayState